//source: altern.cpp
//Last changed 02.08.2006

//functions with different source files depending on the compiler

#include"altern.h"

//================================================================================

#if defined _CODE_WARRIOR_MAC //these are the CodeWarrior for Mac versions
	void cleanexit()
	{
		//to replace exit(EXIT_FAILURE);
		//needed because on windows, the console windows collapses at exit and therefore
		//prevents the reading of any error message
		cout<<"\n bye...\n";
		exit(EXIT_FAILURE);
	}
#else
	void cleanexit()//THIS IS THE DEFAULT (PC, UNIX/LINUX)
	{
		//to replace exit(EXIT_FAILURE);
		//needed because on windows, the console windows collapses at exit and therefore
		//prevents the reading of any error message
		char key;
		cerr<<"Quit (y)?->\n";
		cin>>key;
		exit(EXIT_FAILURE);
	};	
#endif
	
//==================================================================================
//COMPILER DEPENDENT:NEW or OLD style headers
//ios::nocreate is not recognised by codewarrior and the new standard C++ library. It is  necessary for
//VisualC++ only if the old libraries are used

#if defined _OLD_HEADER //only in case of OLD STYLE VisualC++ and UNIX/LINUX header files (iomanip.h, iostream.h fstream.h ...)
	void cleanopen(ifstream &file, char *filename)
	{
		//to replace file.open(filename)
		file.open(filename,ios::nocreate);
	}

	void cleanopen_bin(ifstream &file, char *filename)
	{
			file.open(filename,ios::binary,ios::nocreate);
	}
#else //DEFAULT: NEW SYTLE HEADERS: iomanip, iostream, fstream ...),nocreate is not a member of the standard C++ library!!!
	void cleanopen(ifstream &file, char *filename)
	{
		//to replace file.open(filename)
		file.open(filename);//
	}

	void cleanopen_bin(ifstream &file, char *filename)
	{
		file.open(filename,ios::binary);
	}
#endif

